import request from '@/utils/request'

// 查询邮费区域列表
export function listShippingTemplatesRegion(query) {
  return request({
    url: '/store/shippingTemplatesRegion/list',
    method: 'get',
    params: query
  })
}

// 查询邮费区域详细
export function getShippingTemplatesRegion(id) {
  return request({
    url: '/store/shippingTemplatesRegion/' + id,
    method: 'get'
  })
}

// 新增邮费区域
export function addShippingTemplatesRegion(data) {
  return request({
    url: '/store/shippingTemplatesRegion',
    method: 'post',
    data: data
  })
}

// 修改邮费区域
export function updateShippingTemplatesRegion(data) {
  return request({
    url: '/store/shippingTemplatesRegion',
    method: 'put',
    data: data
  })
}

// 删除邮费区域
export function delShippingTemplatesRegion(id) {
  return request({
    url: '/store/shippingTemplatesRegion/' + id,
    method: 'delete'
  })
}

// 导出邮费区域
export function exportShippingTemplatesRegion(query) {
  return request({
    url: '/store/shippingTemplatesRegion/export',
    method: 'get',
    params: query
  })
}